<template>
    <div><!-- App.vue -->

<v-app>

  <v-main>
    <v-toolbar class="white">

    <router-link to="/"><img src="../../public/images/fitt.png"  alt="Vuetify.js" width="80" height="80%"/></router-link>

      <v-spacer></v-spacer>
      <v-toolbar-items>
        <v-btn v-if="!loggedIn"><router-link to="/login">Login</router-link></v-btn>
        <v-btn v-if="loggedIn" @click="logout">Logout</v-btn>
        <!--<v-btn flat>Blog</v-btn>-->
        <v-btn v-if="loggedIn" class="blue lighten-2"><router-link to="/tasks">Tasks</router-link></v-btn>
      </v-toolbar-items>
    </v-toolbar>

    <!-- Provides the application the proper gutter -->
    <v-container>

      <!-- If using vue-router -->
      <router-view @update-toolbar="updateToolbar"></router-view>
    </v-container>
  </v-main>

  <v-footer app>
    <!-- -->
  </v-footer>
</v-app></div>
</template>

<script>
export default {
    data() {
        return {
            loggedIn: false,
        }
    },
    methods: {
    logout() {
      axios
      .post("/api/logout")
      .then((response) => {
      localStorage.removeItem('authenticated');
      this.updateToolbar();
      this.$router.push({name:'Login'})
    }).catch((error) => console.log(error));
    },

    updateToolbar() {
      this.loggedIn = !this.loggedIn;
    },

 },
    mounted() {
        axios
      .get("/api/user")
      .then((response) => this.loggedIn = true)
      .catch((error) => { // when sesstion lifetime expires
        if(error.response.status == 401) {
          this.updateToolbar();
          localStorage.removeItem('authenticated');
          this.$router.push({name:'Login'});
          this.loggedIn = false;
        }
      });

    // if(localStorage.getItem('authenticated')) {
    //   this.loggedIn = true;
    // } else {
    //   this.loggedIn = false;
    // }
  }
}
</script>

<style scoped>
a {
     text-decoration: none;
  }
</style>
